Skip to main content
POST
/
api
/
template
/
{templateId}
/
activate
Activar Plantilla
curl --request POST \
  --url https://api.plazbot.com/api/template/{templateId}/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --data '
{
  "workspaceId": "<string>"
}
'
import requests

url = "https://api.plazbot.com/api/template/{templateId}/activate"

payload = { "workspaceId": "<string>" }
headers = {
    "x-workspace-id": "<x-workspace-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-workspace-id': '<x-workspace-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({workspaceId: '<string>'})
};

fetch('https://api.plazbot.com/api/template/{templateId}/activate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": {}
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "errorCode": "<string>"
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "errorCode": "<string>"
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "errorCode": "<string>"
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "errorCode": "<string>"
}

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Path Parameters

templateId
string
required

ID de la plantilla a activar

Body

application/json
workspaceId
string
required

Identificador del workspace

Response

Plantilla activada exitosamente

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object | null
required

Datos de la respuesta